package models

const TableNameWkAigQna = "wk_aig_qna"        //PG数据库新闻文章数据表(AI加工数据)
const TableNameWkAigQnaChs = "wk_aig_qna_chs" //PG数据库新闻文章数据表(AI加工数据)

const (
	WK_AIG_QNA_COLUMN_ID               = "id"
	WK_AIG_QNA_COLUMN_ORG_ID           = "org_id"
	WK_AIG_QNA_COLUMN_TAG              = "tag"
	WK_AIG_QNA_COLUMN_CATEGORY         = "category"
	WK_AIG_QNA_COLUMN_QUESTION         = "question"
	WK_AIG_QNA_COLUMN_QUESTION_SUMMARY = "question_summary"
	WK_AIG_QNA_COLUMN_ANSWER           = "answer"
	WK_AIG_QNA_COLUMN_KEYWORDS         = "keywords"
	WK_AIG_QNA_COLUMN_SEO_KEYWORDS     = "seo_keywords"
	WK_AIG_QNA_COLUMN_URL              = "url"
	WK_AIG_QNA_COLUMN_IMAGE_URL        = "image_url"
	WK_AIG_QNA_COLUMN_IS_HOTSPOT       = "is_hotspot"
	WK_AIG_QNA_COLUMN_CREATED_TIME     = "created_time"
)

type WkAigQnaDO struct {
	Id              int64  `json:"id" db:"id" bson:"_id"`                                                         //自增ID
	OrgId           int64  `json:"org_id" db:"org_id" bson:"org_id"`                                              //源文章ID
	Tag             string `json:"tag" db:"tag" bson:"tag"`                                                       //文章标签
	Category        string `json:"category" db:"category" bson:"category"`                                        //分类
	Question        string `json:"question" db:"question" bson:"question"`                                        //问题
	Answer          string `json:"answer" db:"answer" bson:"answer"`                                              //答案
	QuestionSummary string `json:"question_summary" db:"question_summary" sqlca:"isnull" bson:"question_summary"` //摘要
	Keywords        string `json:"keywords" db:"keywords" sqlca:"isnull" bson:"keywords"`                         //文章关键词
	SeoKeywords     string `json:"seo_keywords" db:"seo_keywords" sqlca:"isnull" bson:"seo_keywords"`             //SEO关键词
	Url             string `json:"url" db:"url" sqlca:"isnull" bson:"url"`                                        //文章链接
	ImageUrl        string `json:"image_url" db:"image_url" sqlca:"isnull" bson:"image_url"`                      //图片URL
	IsHotspot       bool   `json:"is_hotspot" db:"is_hotspot" bson:"is_hotspot"`                                  //热点(false=否 true=是)
	CreatedTime     string `json:"created_time" db:"created_time" sqlca:"readonly" bson:"created_time"`           //数据创建时间
}

func (do *WkAigQnaDO) GetId() int64                { return do.Id }
func (do *WkAigQnaDO) SetId(v int64)               { do.Id = v }
func (do *WkAigQnaDO) GetOrgId() int64             { return do.OrgId }
func (do *WkAigQnaDO) SetOrgId(v int64)            { do.OrgId = v }
func (do *WkAigQnaDO) GetTag() string              { return do.Tag }
func (do *WkAigQnaDO) SetTag(v string)             { do.Tag = v }
func (do *WkAigQnaDO) GetCategory() string         { return do.Category }
func (do *WkAigQnaDO) SetCategory(v string)        { do.Category = v }
func (do *WkAigQnaDO) GetQuestion() string         { return do.Question }
func (do *WkAigQnaDO) SetQuestion(v string)        { do.Question = v }
func (do *WkAigQnaDO) GetAnswer() string           { return do.Answer }
func (do *WkAigQnaDO) SetAnswer(v string)          { do.Answer = v }
func (do *WkAigQnaDO) GetQuestionSummary() string  { return do.QuestionSummary }
func (do *WkAigQnaDO) SetQuestionSummary(v string) { do.QuestionSummary = v }
func (do *WkAigQnaDO) GetKeywords() string         { return do.Keywords }
func (do *WkAigQnaDO) SetKeywords(v string)        { do.Keywords = v }
func (do *WkAigQnaDO) GetSeoKeywords() string      { return do.SeoKeywords }
func (do *WkAigQnaDO) SetSeoKeywords(v string)     { do.SeoKeywords = v }
func (do *WkAigQnaDO) GetUrl() string              { return do.Url }
func (do *WkAigQnaDO) SetUrl(v string)             { do.Url = v }
func (do *WkAigQnaDO) GetImageUrl() string         { return do.ImageUrl }
func (do *WkAigQnaDO) SetImageUrl(v string)        { do.ImageUrl = v }
func (do *WkAigQnaDO) GetIsHotspot() bool          { return do.IsHotspot }
func (do *WkAigQnaDO) SetIsHotspot(v bool)         { do.IsHotspot = v }
func (do *WkAigQnaDO) GetCreatedTime() string      { return do.CreatedTime }
func (do *WkAigQnaDO) SetCreatedTime(v string)     { do.CreatedTime = v }
